org.eclipse.microprofile.opentracing.tck.application

## Class TestDisabledAnnotatedClass

- java.lang.Object
- - org.eclipse.microprofile.opentracing.tck.application.TestDisabledAnnotatedClass

    @ApplicationScoped
     @Traced(value=false)
    public class TestDisabledAnnotatedClass
    extends Object

Injectable class with the Traced annotation disabled on the class but not on methods.

### Constructor Summary

Constructors
Constructor and Description
`TestDisabledAnnotatedClass()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `annotatedClassMethodExplicitlyTraced()` Method that we expect to be Traced.
`void` `annotatedClassMethodExplicitlyTracedWithOperationName()` Method that we expect to be Traced with an operation name.
`void` `annotatedClassMethodImplicitlyNotTraced()` Method that we expect not to be Traced.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestDisabledAnnotatedClass

    public TestDisabledAnnotatedClass()

### Method Detail

#### annotatedClassMethodExplicitlyTraced

    @Traced
    public void annotatedClassMethodExplicitlyTraced()

Method that we expect to be Traced.

#### annotatedClassMethodExplicitlyTracedWithOperationName

    @Traced(operationName="explicitOperationName3")
    public void annotatedClassMethodExplicitlyTracedWithOperationName()

Method that we expect to be Traced with an operation name.

#### annotatedClassMethodImplicitlyNotTraced

    public void annotatedClassMethodImplicitlyNotTraced()

Method that we expect not to be Traced.